Create a consignment POD

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Body·
application/json
  • attachmentFile
    Type: object
  • description
    Type: string | null

    An optional short string explaining the proof-of-delivery.

  • eventUtc
    Type: stringFormat: date

    When the delivery was completed.

  • externalUrl
    Type: string | null

    A link to an external webpage detailing the completion of the delivery.

  • latitude
    Type: number | nullFormat: double

    The latitude of the delivery.

  • longitude
    Type: number | nullFormat: double

    The longitude of the delivery.

  • signatoryName
    Type: string | null

    The name of the individual who completed the delivery.

Responses
  • application/json
Request Example for post/v1/consignments/{consignmentId}/pods
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/pods \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "eventUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "signatoryName": null,
  "description": null,
  "attachmentFile": {
    "fileName": null,
    "contentType": null,
    "content": null,
    "options": {
      "printType": "enum (Label = 1, Document = 2)"
    }
  },
  "externalUrl": null,
  "latitude": null,
  "longitude": null
}'
123e4567-e89b-12d3-a456-426614174000